---
schema_version: "1"
id: 7180d079dedc3bad0feca7406e99cded718fe42f6a5f3b1fd0d67af5876cd3f2
title: Update Products
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-update-products.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-update-products.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 52cbdf4a5abd406fe4a74fbbd5feac894e721187b7fab5ee5b0d26df65587ef4
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Update Products

Update the fields of a product by specifying its ID and the fields to update in the request body.

```nolang
PUT /v2/epc/products
```

## Remote Method

```nolang
updateProduct2
```

## REST Handler

```nolang
APIProductRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).

## Resource Information

| Response Format | JSON                                             |
| --------------- | ------------------------------------------------ |
| Resource URL    | `/services/apexrest/{namespace}/v2/epc/products` |


## Example Request

```nolang
PUT
{
  "epcRequest": {
    "entity": {
        "Id": "01t3h000001gyCFAAY",
      "vlocity_cmt__LifecycleStatus__c": "Draft",
      "Name": "Product-Update",
      "ProductCode": "Product-Update",
      "Description": "Product updated with new name and code"
    }
  }
}

```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "Product2",
                        "url": "/services/data/v52.0/sobjects/Product2/01t3h000001gyCFAAY"
                    },
                    "vlocity_cmt__VersionLabel__c": "Version-1",
                    "Name": "Product-Update",
                    "ProductCode": "Product-Update",
                    "vlocity_cmt__SpecificationType__c": "Offer",
                    "vlocity_cmt__SpecificationSubType__c": "Bundle",
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__GlobalGroupKey__c": "a4096cc5-8bbb-cfd5-7b93-869a7c2b4caf",
                    "RecordTypeId": "0123h000000slEnAAI",
                    "Id": "01t3h000001gyCFAAY",
                    "RecordType": {
                        "attributes": {
                            "type": "RecordType",
                            "url": "/services/data/v52.0/sobjects/RecordType/0123h000000slEnAAI"
                        },
                        "Id": "0123h000000slEnAAI",
                        "Name": "Product"
                    }
                }
            }
        ],
        "overallResult": "success"
    }
}

```
